Subject: [rtcweb] Straw Poll on Video Codec Alternatives -- No acceptable alternatives

From: Roman Shpount <[email-masked]>
Date: Tue, 10 Dec 2013 17:04:02 -0500

Changing subject per chair's request.

On Tue, Dec 10, 2013 at 4:51 PM, Engel Nyst <[email-masked]> wrote:

> On 12/10/2013 08:58 PM, Roman Shpount wrote:
>
>> VP8 -- This works for me but I see that this will not work for any company
>> already using H.264 or ever planning to sue Google. If you are already
>> using H.264, why do you want to expose yourself to additional IPR risks?
>> Google license is not acceptable to many larger companies (partially due
>> to
>> this license being automatically revoked if you decide to sue Google for
>> reasons non related to VP8) . Fail for VP8.
>>
>>
> I'm not sure why you say "reasons not related to VP8". VP8 additional
> patent grant says:
> "If you or your agent or exclusive licensee institute or order or agree to
> the institution of patent litigation against any entity (including a
> cross-claim or counterclaim in a lawsuit) alleging that this implementation
> of VP8 or any code incorporated within this implementation of VP8
> constitutes direct or contributory patent infringement, or inducement of
> patent infringement, then any patent rights granted to you under this
> License for this implementation of VP8 shall terminate as of the date such
> litigation is filed." [1]
>
> Note "alleging that this implementation of VP8 or any code incorporated
> within this implementation of VP8". If the allegations are unrelated to
> VP8, they don't fall within the bounds of "this implementation of VP8" with
> what it actually contains. Am I reading this wrong?
>
>
Thank you for this correction, this was my mistake. I actually agree with
your interpretation. This is one of the reasons that I do consider that VP8
actually provides better IPR protection for me as a product implementer
then H.264. On the other hand, I also can see how this provision can
prevent implement VP8 for some companies.

_____________
Roman Shpount

---

From: Silvia Pfeiffer <[email-masked]>
Date: Wed, 11 Dec 2013 09:37:46 +1100

>>> reasons non related to VP8) . Fail for VP8.

So, this should read:
VP8 - if you are ever planning on suing anyone around VP8, you should
refrain from using VP8 because the patent rights granted on VP8 will
evaporate. This also implies to me that if somebody is trying to sue
any company (including a startup) over VP8, Google's patent rights
grant evaporates and they open themselves up for a lawsuit by Google.
As it stands, the number of companies falling into the category of
wanting to sue Google over VP8 seems to be 1 (Nokia with their patent
for which they don't intend to give anyone a license). Everyone else
can feel themselves pretty safe in knowing that if somebody sues them
over VP8, they expose themselves to the full force of the Google
lawyers.

To me, that's more safety than H.264 or any other codec grants.

Best Regards,
Silvia.
(IANAL)

>> within this implementation of VP8". If the allegations are unrelated to VP8,
>> they don't fall within the bounds of "this implementation of VP8" with what
>> it actually contains. Am I reading this wrong?
>>
>
> actually provides better IPR protection for me as a product implementer then
> H.264. On the other hand, I also can see how this provision can prevent
> implement VP8 for some companies.
>
> _____________
> Roman Shpount
>
>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: [email-masked]
Date: Tue, 10 Dec 2013 14:56:04 -0800

Preemptive warning from EU to Nokia:
http://hosted.ap.org/dynamic/stories/E/EU_EU_NOKIA

And here again (for the winning photo):
http://www.engadget.com/2013/12/09/ec-chief-warns-nokia-patent-troll/

On Tue, Dec 10, 2013 at 2:37 PM, Silvia Pfeiffer
<[email-masked]>wrote:

> VP8,
> then

---

From: Engel Nyst <[email-masked]>
Date: Thu, 12 Dec 2013 00:39:48 +0200

>> To me, that's more safety than H.264 or any other codec grants.

This is my reading too. VP8 patent license creates a *defensive* patent 
pool, to enable any contributor to be protected by others against patent 
trolls.

Personally, I'm not convinced patents for software do in practice any 
good (though I can see reasonable arguments for a limited monopoly to 
the author of an invention in other engineering fields). But they exist 
today. In the current circumstances, for all I know, the creation of 
these DEFENSIVE patent pools alleviates the uncertainty (no one can 
reasonably know if/when someone else filed a patent that seems to read 
like your code) and sends a signal that patents aggressivity is not a value.

Seems to me on a track to safety.

-- 
~enyst

"Excuse me, Professor Lessig, but may I ask you to sign this CLA, so 
that we have legally your permission to distribute your CC-licensed words?"